MPD: PollGroupPoll Class Reference

MPD 0.20.18

Data Structures | Public Member Functions | Static Public Attributes
PollGroupPoll Class Reference

`#include <PollGroupPoll.hxx>`

## Public Member Functions
| PollGroupPoll ()
| ~PollGroupPoll ()
void | ReadEvents (PollResultGeneric &result, int timeout_ms)
bool | Add (int fd, unsigned events, void *obj)
bool | Modify (int fd, unsigned events, void *obj)
bool | Remove (int fd)
bool | Abandon (int fd)

## Static Public Attributes
static constexpr unsigned | READ = POLLIN
static constexpr unsigned | WRITE = POLLOUT
static constexpr unsigned | ERROR = POLLERR
static constexpr unsigned | HANGUP = POLLHUP

## Detailed Description

Definition at line 32 of file PollGroupPoll.hxx.

## Constructor & Destructor Documentation

## ◆ PollGroupPoll()

PollGroupPoll::PollGroupPoll | ( |  | ) |

## ◆ ~PollGroupPoll()

PollGroupPoll::~PollGroupPoll | ( |  | ) |

## Member Function Documentation

## ◆ Abandon()

bool PollGroupPoll::Abandon | ( | int | fd | ) |
| inline

Definition at line 58 of file PollGroupPoll.hxx.

## ◆ Add()

bool PollGroupPoll::Add | ( | int | fd,
|  | unsigned | events,
|  | void * | obj
| ) |  |

## ◆ Modify()

bool PollGroupPoll::Modify | ( | int | fd,
|  | unsigned | events,
|  | void * | obj
| ) |  |

## ◆ ReadEvents()

void PollGroupPoll::ReadEvents | ( | PollResultGeneric & | result,
|  | int | timeout_ms
| ) |  |

## ◆ Remove()

bool PollGroupPoll::Remove | ( | int | fd | ) |

## Field Documentation

## ◆ ERROR

constexpr unsigned PollGroupPoll::ERROR = POLLERR
| static

Definition at line 48 of file PollGroupPoll.hxx.

## ◆ HANGUP

constexpr unsigned PollGroupPoll::HANGUP = POLLHUP
| static

Definition at line 49 of file PollGroupPoll.hxx.

## ◆ READ

constexpr unsigned PollGroupPoll::READ = POLLIN
| static

Definition at line 46 of file PollGroupPoll.hxx.

## ◆ WRITE

constexpr unsigned PollGroupPoll::WRITE = POLLOUT
| static

Definition at line 47 of file PollGroupPoll.hxx.

The documentation for this class was generated from the following file:

- event/PollGroupPoll.hxx